Logistics
Calculate the carbon emissions of logistics activities, such as road, sea and air freight and logistics sites, in a single request.
Transporting and delivering goods often comes with a significant carbon footprint, whether by road freight, shipping or air cargo. Calculating it means considering factors such as the type of transportation, the distance traveled and the fuel type. Accurate measurement helps businesses find carbon reduction opportunities, optimize their supply chain and make informed decisions to reduce their environmental impact.
Perform a calculation
POST /v2/calculations uses bearer authentication. It calculates carbon emissions for one or more activities: pass all relevant activities in the items array to compute the footprint of your logistics operations, such as multiple freight journeys or combined land and sea shipments, at once. Include "items" in the expand array to get the values for each item in addition to the total carbon quantity.
No calculation IDs
This is a low-latency endpoint. SQUAKE doesn't return a unique identifier for calculation results. To buy compensation for your carbon emissions, quote a price on the pricing endpoint.
Some data sets are extensive and are documented separately.
Request body
The body is application/json.
expandarray[string]items. With items, SQUAKE returns emissions for each item separately, in addition to a total value.
carbon_unitstringtonne, kilogram or gram. SQUAKE uses the International System of Units (SI), commonly called the metric system.
distance_unitstringmeter, kilometer, feet, mile or nautical_mile. Defaults to kilometer.
POST /v2/calculations in the API referenceSample request
{
"expand": ["items"],
"carbon_unit": "tonne",
"distance_unit": "kilometer",
"items": [
{
"type": "road_freight",
"external_reference": "Truck",
"origin": "Magdeburg, Germany",
"destination": "DEHAM",
"weight_in_tonnes": 0.75,
"fuel_type": "diesel",
"energy_scope": "wtw",
"truck_type": "rigid_truck_under_26_gvw",
"temperature_controlled_freight": true,
"methodology": "GLEC"
},
{
"type": "logistics_site",
"external_reference": "Hub",
"weight_in_tonnes": 0.75,
"logistics_site_type": "transhipment_site",
"methodology": "GLEC"
},
{
"type": "sea_freight",
"external_reference": "Sea",
"origin": "DEHAM",
"destination": "NLAMS",
"weight_in_tonnes": 0.75,
"cargo_type": "dry",
"energy_scope": "wtw",
"methodology": "CLEAN-CARGO"
},
{
"type": "logistics_site",
"external_reference": "Hub",
"weight_in_tonnes": 0.75,
"logistics_site_type": "storage_and_transhipment",
"methodology": "GLEC"
},
{
"type": "air_freight",
"external_reference": "Air",
"origin": "AMS",
"destination": "JFK",
"weight_in_tonnes": 0.75,
"plane_type": "belly_freighter",
"energy_scope": "wtw",
"methodology": "GLEC"
},
{
"type": "logistics_site",
"external_reference": "Hub",
"weight_in_tonnes": 0.75,
"logistics_site_type": "warehouse",
"methodology": "GLEC"
},
{
"type": "road_freight",
"external_reference": "Truck",
"origin": "JFK",
"destination": "Scranton, United States",
"weight_in_tonnes": 0.75,
"fuel_type": "diesel",
"energy_scope": "wtw",
"truck_type": "van_under_3.5_t",
"temperature_controlled_freight": true,
"methodology": "GLEC"
}
]
}Sample response
{
"carbon_quantity": 4.570352,
"carbon_unit": "tonne",
"items": [
{
"carbon_quantity": 0.026645,
"carbon_unit": "tonne",
"external_reference": "Truck",
"type": "road_freight",
"methodology": "GLEC",
"distance": 244.0,
"distance_unit": "kilometer",
"algorithm_specifics": {
"algorithm_type": "glec",
"data": {
"co2e_in_g": 26645,
"co2e_emissions_wtw_in_g": 26645,
"co2e_per_tonne_km_in_g": 130,
"tonne_km": 183,
"reporting_year": 2024,
"transportation_mode": "road_transportation"
}
}
},
{
"carbon_quantity": 0.00165,
"carbon_unit": "tonne",
"external_reference": "Hub",
"type": "logistics_site",
"methodology": "GLEC",
"algorithm_specifics": {
"algorithm_type": "glec",
"data": {
"co2e_in_g": 1650.0,
"co2e_per_tonne_in_g": 2200,
"reporting_year": 2024,
"transportation_mode": "logistics_site"
}
}
},
{
"carbon_quantity": 0.004885,
"carbon_unit": "tonne",
"external_reference": "Sea",
"type": "sea_freight",
"methodology": "CLEAN-CARGO",
"distance": 368.0,
"distance_unit": "kilometer",
"algorithm_specifics": {
"algorithm_type": "clean_cargo",
"data": {
"co2e_in_g": 4885,
"co2e_emissions_wtw_in_g": 4885,
"co2e_per_tonne_km_in_g": 17.7,
"tonne_km": 276,
"reporting_year": 2024,
"transportation_mode": "sea_transportation"
}
}
},
{
"carbon_quantity": 0.003,
"carbon_unit": "tonne",
"external_reference": "Hub",
"type": "logistics_site",
"methodology": "GLEC",
"algorithm_specifics": {
"algorithm_type": "glec",
"data": {
"co2e_in_g": 3000.0,
"co2e_per_tonne_in_g": 4000,
"reporting_year": 2024,
"transportation_mode": "logistics_site"
}
}
},
{
"carbon_quantity": 4.353479,
"carbon_unit": "tonne",
"external_reference": "Air",
"type": "air_freight",
"methodology": "GLEC",
"distance": 5978.0,
"distance_unit": "kilometer",
"algorithm_specifics": {
"algorithm_type": "glec",
"data": {
"co2e_in_g": 4353479,
"co2e_emissions_wtw_in_g": 4353479,
"co2e_per_tonne_km_in_g": 971,
"tonne_km": 4484,
"reporting_year": 2024,
"transportation_mode": "air_transportation"
}
}
},
{
"carbon_quantity": 0.02475,
"carbon_unit": "tonne",
"external_reference": "Hub",
"type": "logistics_site",
"methodology": "GLEC",
"algorithm_specifics": {
"algorithm_type": "glec",
"data": {
"co2e_in_g": 24750.0,
"co2e_per_tonne_in_g": 33000,
"reporting_year": 2024,
"transportation_mode": "logistics_site"
}
}
},
{
"carbon_quantity": 0.155943,
"carbon_unit": "tonne",
"external_reference": "Truck",
"type": "road_freight",
"methodology": "GLEC",
"distance": 228.0,
"distance_unit": "kilometer",
"algorithm_specifics": {
"algorithm_type": "glec",
"data": {
"co2e_in_g": 155943,
"co2e_emissions_wtw_in_g": 155943,
"co2e_per_tonne_km_in_g": 793,
"tonne_km": 171,
"reporting_year": 2024,
"transportation_mode": "road_transportation"
}
}
}
]
}